import numpy as np 

SOLUTION = np.array([[ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 1.,  1.,  0.,  0.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 1.,  1.,  0.,  0.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 5.,  5.,  6.,  6.,  0.,  7., 14.,  6.,  5.,  5., 11., 13., 11.,
        10.,  7.,  5.,  6.,  6.,  6.,  8.,  5.,  5.,  7.,  8.,  6.,  5.,
         5.,  8.,  7.,  7.,  5.,  6.,  8., 11., 11., 10.,  9.,  9.,  9.,
         9.,  7.,  6.,  7., 10.,  9.,  9.,  6.,  9.,  6., 12.,  6., 12.,
         6.,  7.,  7.,  9., 12.,  5., 14.,  7.,  8.,  8.,  6.,  6.,  5.,
         5.,  8.,  8.,  8.,  7.,  5.,  7.,  7.,  7.,  5.,  7.,  5.,  9.,
         5., 12.,  7.,  5., 10.,  8.,  8.,  5.],
       [ 2.,  2.,  3.,  3.,  7.,  0., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 9.,  9., 10., 10., 14., 11.,  0., 10.,  9.,  9., 15.,  7.,  5.,
         4., 11.,  9., 10., 10., 10., 12.,  9.,  9., 11., 12., 10.,  9.,
         9., 12., 11., 11.,  9., 10., 12., 11.,  5., 10.,  9.,  9.,  9.,
        13., 11., 10., 11., 14.,  9., 13., 10.,  9., 10., 12., 10., 16.,
        10., 11.,  7.,  9., 12.,  9., 18., 11., 12., 12., 10., 10.,  9.,
         9.,  6.,  6., 12., 11.,  9.,  7., 11., 11.,  9., 11.,  9.,  9.,
         9., 12., 11.,  9., 10.,  6.,  8.,  9.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  0.,  1.,  1.,  5.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         3.,  1.,  0.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  4.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  3.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 6.,  6.,  7.,  7., 11.,  8., 15.,  5.,  6.,  6.,  0., 14., 12.,
        11.,  8.,  6.,  7.,  7.,  7.,  9.,  6.,  6.,  8.,  9.,  7.,  6.,
         6.,  9.,  8.,  8.,  6.,  7.,  9., 12., 12., 11., 10., 10., 10.,
         4.,  6.,  5.,  8., 11., 10., 10.,  7., 10.,  7., 13.,  7., 11.,
         7.,  8.,  8.,  9., 13.,  6., 13.,  8.,  9.,  9.,  7.,  7.,  6.,
         6.,  9.,  9.,  9.,  8.,  6.,  8.,  8.,  8.,  6.,  8.,  6.,  8.,
         6., 13.,  6.,  6., 11.,  9.,  9.,  6.],
       [ 8.,  8.,  9.,  9., 13., 10.,  7.,  9.,  8.,  8., 14.,  0.,  4.,
         3., 10.,  8.,  9.,  9.,  9., 11.,  8.,  8., 10., 11.,  9.,  8.,
         8., 11., 10., 10.,  8.,  9., 11., 10.,  2.,  9.,  8.,  8.,  8.,
        12., 10.,  9., 10., 13.,  8., 12.,  9.,  8.,  9., 11.,  9., 15.,
         9., 10.,  6.,  8., 11.,  8., 17., 10., 11., 11.,  9.,  9.,  8.,
         8.,  5.,  5., 11., 10.,  8.,  6., 10., 10.,  8., 10.,  8.,  8.,
         8., 11., 10.,  8.,  9.,  5.,  7.,  8.],
       [ 6.,  6.,  7.,  7., 11.,  8.,  5.,  7.,  6.,  6., 12.,  4.,  0.,
         1.,  8.,  6.,  7.,  7.,  7.,  9.,  6.,  6.,  8.,  9.,  7.,  6.,
         6.,  9.,  8.,  8.,  6.,  7.,  9.,  8.,  2.,  7.,  6.,  6.,  6.,
        10.,  8.,  7.,  8., 11.,  6., 10.,  7.,  6.,  7.,  9.,  7., 13.,
         7.,  8.,  4.,  6.,  9.,  6., 15.,  8.,  9.,  9.,  7.,  7.,  6.,
         6.,  3.,  3.,  9.,  8.,  6.,  4.,  8.,  8.,  6.,  8.,  6.,  6.,
         6.,  9.,  8.,  6.,  7.,  3.,  5.,  6.],
       [ 5.,  5.,  6.,  6., 10.,  7.,  4.,  6.,  5.,  5., 11.,  3.,  1.,
         0.,  7.,  5.,  6.,  6.,  6.,  8.,  5.,  5.,  7.,  8.,  6.,  5.,
         5.,  8.,  7.,  7.,  5.,  6.,  8.,  7.,  1.,  6.,  5.,  5.,  5.,
         9.,  7.,  6.,  7., 10.,  5.,  9.,  6.,  5.,  6.,  8.,  6., 12.,
         6.,  7.,  3.,  5.,  8.,  5., 14.,  7.,  8.,  8.,  6.,  6.,  5.,
         5.,  2.,  2.,  8.,  7.,  5.,  3.,  7.,  7.,  5.,  7.,  5.,  5.,
         5.,  8.,  7.,  5.,  6.,  2.,  4.,  5.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  0.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  0.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  0.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  0.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 3.,  3.,  4.,  4.,  8.,  5., 12.,  4.,  3.,  3.,  9., 11.,  9.,
         8.,  5.,  3.,  4.,  4.,  4.,  0.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  9.,  9.,  8.,  7.,  7.,  7.,
         7.,  5.,  4.,  5.,  8.,  7.,  7.,  4.,  7.,  4., 10.,  4., 10.,
         4.,  5.,  5.,  7., 10.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  6.,  6.,  6.,  5.,  3.,  5.,  5.,  5.,  3.,  5.,  3.,  7.,
         3., 10.,  5.,  3.,  8.,  6.,  6.,  3.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  0.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 3.,  3.,  4.,  4.,  8.,  5., 12.,  4.,  3.,  3.,  9., 11.,  9.,
         8.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  0.,  2.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  9.,  9.,  8.,  7.,  7.,  7.,
         7.,  3.,  4.,  5.,  8.,  7.,  7.,  4.,  7.,  4., 10.,  4., 10.,
         4.,  5.,  5.,  7., 10.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  6.,  6.,  6.,  5.,  3.,  5.,  5.,  5.,  3.,  5.,  3.,  7.,
         3., 10.,  5.,  3.,  8.,  6.,  6.,  3.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  2.,  0.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  1.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 3.,  3.,  4.,  4.,  8.,  5., 12.,  4.,  3.,  3.,  9., 11.,  9.,
         8.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  0.,  5.,  1.,  3.,  4.,  6.,  9.,  9.,  8.,  7.,  7.,  7.,
         7.,  5.,  4.,  5.,  8.,  7.,  7.,  4.,  7.,  4., 10.,  4., 10.,
         4.,  5.,  5.,  7., 10.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  6.,  6.,  6.,  5.,  3.,  5.,  5.,  5.,  3.,  5.,  3.,  7.,
         3., 10.,  5.,  3.,  8.,  6.,  6.,  3.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  0.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  1.,  4.,  0.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  0.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 3.,  3.,  4.,  4.,  8.,  5., 12.,  4.,  3.,  3.,  9., 11.,  9.,
         8.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  0.,  9.,  9.,  8.,  7.,  7.,  7.,
         7.,  5.,  4.,  1.,  8.,  7.,  7.,  4.,  7.,  4., 10.,  4., 10.,
         4.,  5.,  5.,  7., 10.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  6.,  6.,  6.,  5.,  3.,  5.,  5.,  5.,  3.,  5.,  3.,  7.,
         3., 10.,  5.,  3.,  8.,  6.,  6.,  3.],
       [ 6.,  6.,  7.,  7., 11.,  8., 11.,  7.,  6.,  6., 12., 10.,  8.,
         7.,  8.,  6.,  7.,  7.,  7.,  9.,  6.,  6.,  8.,  9.,  7.,  6.,
         6.,  9.,  8.,  8.,  6.,  7.,  9.,  0.,  8.,  7.,  6.,  6.,  6.,
        10.,  8.,  7.,  8., 11.,  6., 10.,  7.,  6.,  7.,  9.,  7., 13.,
         7.,  8.,  4.,  6.,  9.,  6., 15.,  8.,  9.,  9.,  7.,  7.,  6.,
         6.,  5.,  5.,  9.,  8.,  6.,  4.,  8.,  8.,  6.,  8.,  6.,  6.,
         6.,  9.,  8.,  6.,  7.,  5.,  5.,  6.],
       [ 6.,  6.,  7.,  7., 11.,  8.,  5.,  7.,  6.,  6., 12.,  2.,  2.,
         1.,  8.,  6.,  7.,  7.,  7.,  9.,  6.,  6.,  8.,  9.,  7.,  6.,
         6.,  9.,  8.,  8.,  6.,  7.,  9.,  8.,  0.,  7.,  6.,  6.,  6.,
        10.,  8.,  7.,  8., 11.,  6., 10.,  7.,  6.,  7.,  9.,  7., 13.,
         7.,  8.,  4.,  6.,  9.,  6., 15.,  8.,  9.,  9.,  7.,  7.,  6.,
         6.,  3.,  3.,  9.,  8.,  6.,  4.,  8.,  8.,  6.,  8.,  6.,  6.,
         6.,  9.,  8.,  6.,  7.,  3.,  5.,  6.],
       [ 5.,  5.,  6.,  6., 10.,  7., 10.,  6.,  5.,  5., 11.,  9.,  7.,
         6.,  7.,  5.,  6.,  6.,  6.,  8.,  5.,  5.,  7.,  8.,  6.,  5.,
         5.,  8.,  7.,  7.,  5.,  6.,  8.,  7.,  7.,  0.,  1.,  1.,  1.,
         9.,  7.,  6.,  7., 10.,  5.,  9.,  6.,  5.,  6.,  8.,  6., 12.,
         6.,  7.,  3.,  5.,  8.,  5., 14.,  7.,  8.,  8.,  6.,  6.,  5.,
         5.,  4.,  4.,  8.,  7.,  5.,  3.,  7.,  7.,  5.,  7.,  5.,  5.,
         5.,  8.,  7.,  5.,  6.,  4.,  4.,  5.],
       [ 4.,  4.,  5.,  5.,  9.,  6.,  9.,  5.,  4.,  4., 10.,  8.,  6.,
         5.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7.,  6.,  6.,  1.,  0.,  0.,  0.,
         8.,  6.,  5.,  6.,  9.,  4.,  8.,  5.,  4.,  5.,  7.,  5., 11.,
         5.,  6.,  2.,  4.,  7.,  4., 13.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  3.,  3.,  7.,  6.,  4.,  2.,  6.,  6.,  4.,  6.,  4.,  4.,
         4.,  7.,  6.,  4.,  5.,  3.,  3.,  4.],
       [ 4.,  4.,  5.,  5.,  9.,  6.,  9.,  5.,  4.,  4., 10.,  8.,  6.,
         5.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7.,  6.,  6.,  1.,  0.,  0.,  0.,
         8.,  6.,  5.,  6.,  9.,  4.,  8.,  5.,  4.,  5.,  7.,  5., 11.,
         5.,  6.,  2.,  4.,  7.,  4., 13.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  3.,  3.,  7.,  6.,  4.,  2.,  6.,  6.,  4.,  6.,  4.,  4.,
         4.,  7.,  6.,  4.,  5.,  3.,  3.,  4.],
       [ 4.,  4.,  5.,  5.,  9.,  6.,  9.,  5.,  4.,  4., 10.,  8.,  6.,
         5.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7.,  6.,  6.,  1.,  0.,  0.,  0.,
         8.,  6.,  5.,  6.,  9.,  4.,  8.,  5.,  4.,  5.,  7.,  5., 11.,
         5.,  6.,  2.,  4.,  7.,  4., 13.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  3.,  3.,  7.,  6.,  4.,  2.,  6.,  6.,  4.,  6.,  4.,  4.,
         4.,  7.,  6.,  4.,  5.,  3.,  3.,  4.],
       [ 4.,  4.,  5.,  5.,  9.,  6., 13.,  3.,  4.,  4.,  4., 12., 10.,
         9.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7., 10., 10.,  9.,  8.,  8.,  8.,
         0.,  4.,  3.,  6.,  9.,  8.,  8.,  5.,  8.,  5., 11.,  5.,  9.,
         5.,  6.,  6.,  7., 11.,  4., 11.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  7.,  7.,  7.,  6.,  4.,  6.,  6.,  6.,  4.,  6.,  4.,  6.,
         4., 11.,  4.,  4.,  9.,  7.,  7.,  4.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  1.,  2.,  2.,  6., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  3.,  1.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         4.,  0.,  1.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  5.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  4.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  0.,  1.,  1.,  5.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         3.,  1.,  0.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  4.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  3.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  1.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  0.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 5.,  5.,  6.,  6., 10.,  7., 14.,  6.,  5.,  5., 11., 13., 11.,
        10.,  7.,  5.,  6.,  6.,  6.,  8.,  5.,  5.,  7.,  8.,  6.,  5.,
         5.,  8.,  7.,  7.,  5.,  6.,  8., 11., 11., 10.,  9.,  9.,  9.,
         9.,  7.,  6.,  7.,  0.,  9.,  3.,  6.,  9.,  6., 12.,  6., 12.,
         6.,  7.,  7.,  9., 12.,  5., 14.,  7.,  8.,  8.,  6.,  4.,  5.,
         5.,  8.,  8.,  8.,  7.,  5.,  7.,  7.,  7.,  5.,  7.,  5.,  9.,
         5., 12.,  7.,  5., 10.,  8.,  8.,  5.],
       [ 4.,  4.,  5.,  5.,  9.,  6.,  9.,  5.,  4.,  4., 10.,  8.,  6.,
         5.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7.,  6.,  6.,  5.,  4.,  4.,  4.,
         8.,  6.,  5.,  6.,  9.,  0.,  8.,  5.,  4.,  5.,  7.,  5., 11.,
         5.,  6.,  2.,  4.,  7.,  4., 13.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  3.,  3.,  7.,  6.,  4.,  2.,  6.,  6.,  4.,  6.,  4.,  4.,
         4.,  7.,  6.,  4.,  5.,  3.,  3.,  4.],
       [ 4.,  4.,  5.,  5.,  9.,  6., 13.,  5.,  4.,  4., 10., 12., 10.,
         9.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7., 10., 10.,  9.,  8.,  8.,  8.,
         8.,  6.,  5.,  6.,  3.,  8.,  0.,  5.,  8.,  5., 11.,  5., 11.,
         5.,  6.,  6.,  8., 11.,  4., 13.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  7.,  7.,  7.,  6.,  4.,  6.,  6.,  6.,  4.,  6.,  4.,  8.,
         4., 11.,  6.,  4.,  9.,  7.,  7.,  4.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  0.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 4.,  4.,  5.,  5.,  9.,  6.,  9.,  5.,  4.,  4., 10.,  8.,  6.,
         5.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7.,  6.,  6.,  5.,  4.,  4.,  4.,
         8.,  6.,  5.,  6.,  9.,  4.,  8.,  5.,  0.,  5.,  7.,  5., 11.,
         5.,  6.,  2.,  4.,  7.,  4., 13.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  3.,  3.,  7.,  6.,  4.,  2.,  6.,  6.,  4.,  6.,  4.,  4.,
         4.,  7.,  6.,  4.,  5.,  3.,  3.,  4.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  0.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  1.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 7.,  7.,  8.,  8., 12.,  9., 12.,  8.,  7.,  7., 13., 11.,  9.,
         8.,  9.,  7.,  8.,  8.,  8., 10.,  7.,  7.,  9., 10.,  8.,  7.,
         7., 10.,  9.,  9.,  7.,  8., 10.,  9.,  9.,  8.,  7.,  7.,  7.,
        11.,  9.,  8.,  9., 12.,  7., 11.,  8.,  7.,  8.,  0.,  8., 14.,
         8.,  9.,  5.,  7., 10.,  7., 16.,  9., 10., 10.,  8.,  8.,  7.,
         7.,  6.,  6., 10.,  9.,  7.,  5.,  9.,  9.,  7.,  9.,  7.,  5.,
         7., 10.,  9.,  7.,  6.,  6.,  4.,  7.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  0.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 7.,  7.,  8.,  8., 12.,  9., 16.,  8.,  7.,  7., 11., 15., 13.,
        12.,  9.,  7.,  8.,  8.,  8., 10.,  7.,  7.,  9., 10.,  8.,  7.,
         7., 10.,  9.,  9.,  7.,  8., 10., 13., 13., 12., 11., 11., 11.,
         9.,  9.,  8.,  9., 12., 11., 11.,  8., 11.,  8., 14.,  8.,  0.,
         8.,  9.,  9., 11., 14.,  7., 14.,  9., 10., 10.,  8.,  8.,  7.,
         7., 10., 10., 10.,  9.,  7.,  9.,  9.,  9.,  7.,  9.,  7., 11.,
         7., 14.,  7.,  7., 12., 10., 10.,  7.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         0.,  3.,  3.,  5.,  6.,  1., 10.,  3.,  4.,  4.,  2.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  6.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  0.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 2.,  2.,  3.,  3.,  7.,  4.,  7.,  3.,  2.,  2.,  8.,  6.,  4.,
         3.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  4.,  4.,  3.,  2.,  2.,  2.,
         6.,  4.,  3.,  4.,  7.,  2.,  6.,  3.,  2.,  3.,  5.,  3.,  9.,
         3.,  4.,  0.,  2.,  5.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  1.,  1.,  5.,  4.,  2.,  0.,  4.,  4.,  2.,  4.,  2.,  2.,
         2.,  5.,  4.,  2.,  3.,  1.,  1.,  2.],
       [ 4.,  4.,  5.,  5.,  9.,  6.,  9.,  4.,  4.,  4.,  9.,  8.,  6.,
         5.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7.,  6.,  6.,  5.,  4.,  4.,  4.,
         7.,  5.,  4.,  6.,  9.,  4.,  8.,  5.,  4.,  5.,  7.,  5., 11.,
         5.,  6.,  2.,  0.,  7.,  4., 13.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  3.,  3.,  7.,  6.,  4.,  2.,  6.,  6.,  4.,  6.,  4.,  3.,
         4.,  7.,  6.,  4.,  5.,  3.,  3.,  4.],
       [ 7.,  7.,  8.,  8., 12.,  9., 12.,  8.,  7.,  7., 13., 11.,  9.,
         8.,  9.,  7.,  8.,  8.,  8., 10.,  7.,  7.,  9., 10.,  8.,  7.,
         7., 10.,  9.,  9.,  7.,  8., 10.,  9.,  9.,  8.,  7.,  7.,  7.,
        11.,  9.,  8.,  9., 12.,  7., 11.,  8.,  7.,  8., 10.,  8., 14.,
         6.,  9.,  5.,  7.,  0.,  7., 16.,  9., 10., 10.,  8.,  8.,  7.,
         7.,  6.,  6., 10.,  9.,  7.,  5.,  9.,  9.,  7.,  9.,  7.,  7.,
         7.,  4.,  9.,  7.,  8.,  6.,  6.,  7.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 9.,  9., 10., 10., 14., 11., 18., 10.,  9.,  9., 13., 17., 15.,
        14., 11.,  9., 10., 10., 10., 12.,  9.,  9., 11., 12., 10.,  9.,
         9., 12., 11., 11.,  9., 10., 12., 15., 15., 14., 13., 13., 13.,
        11., 11., 10., 11., 14., 13., 13., 10., 13., 10., 16., 10., 14.,
        10., 11., 11., 13., 16.,  9.,  0., 11., 12., 12., 10., 10.,  9.,
         9., 12., 12., 12., 11.,  9., 11., 11., 11.,  9., 11.,  9., 13.,
         9., 16.,  9.,  9., 14., 12., 12.,  9.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  0.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 3.,  3.,  4.,  4.,  8.,  5., 12.,  4.,  3.,  3.,  9., 11.,  9.,
         8.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  9.,  9.,  8.,  7.,  7.,  7.,
         7.,  5.,  4.,  5.,  8.,  7.,  7.,  4.,  7.,  4., 10.,  4., 10.,
         4.,  5.,  5.,  7., 10.,  3., 12.,  5.,  0.,  0.,  4.,  4.,  3.,
         3.,  6.,  6.,  6.,  5.,  3.,  5.,  5.,  5.,  3.,  5.,  3.,  7.,
         3., 10.,  5.,  3.,  8.,  6.,  6.,  3.],
       [ 3.,  3.,  4.,  4.,  8.,  5., 12.,  4.,  3.,  3.,  9., 11.,  9.,
         8.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  9.,  9.,  8.,  7.,  7.,  7.,
         7.,  5.,  4.,  5.,  8.,  7.,  7.,  4.,  7.,  4., 10.,  4., 10.,
         4.,  5.,  5.,  7., 10.,  3., 12.,  5.,  0.,  0.,  4.,  4.,  3.,
         3.,  6.,  6.,  6.,  5.,  3.,  5.,  5.,  5.,  3.,  5.,  3.,  7.,
         3., 10.,  5.,  3.,  8.,  6.,  6.,  3.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  6.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  0.,  2.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 1.,  1.,  2.,  2.,  6.,  3., 10.,  2.,  1.,  1.,  7.,  9.,  7.,
         6.,  3.,  1.,  2.,  2.,  2.,  4.,  1.,  1.,  3.,  4.,  2.,  1.,
         1.,  4.,  3.,  3.,  1.,  2.,  4.,  7.,  7.,  6.,  5.,  5.,  5.,
         5.,  3.,  2.,  3.,  4.,  5.,  5.,  2.,  5.,  2.,  8.,  2.,  8.,
         2.,  3.,  3.,  5.,  8.,  1., 10.,  3.,  4.,  4.,  2.,  0.,  1.,
         1.,  4.,  4.,  4.,  3.,  1.,  3.,  3.,  3.,  1.,  3.,  1.,  5.,
         1.,  8.,  3.,  1.,  6.,  4.,  4.,  1.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 3.,  3.,  4.,  4.,  8.,  5.,  6.,  4.,  3.,  3.,  9.,  5.,  3.,
         2.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  5.,  3.,  4.,  3.,  3.,  3.,
         7.,  5.,  4.,  5.,  8.,  3.,  7.,  4.,  3.,  4.,  6.,  4., 10.,
         4.,  5.,  1.,  3.,  6.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  0.,  0.,  6.,  5.,  3.,  1.,  5.,  5.,  3.,  5.,  3.,  3.,
         3.,  6.,  5.,  3.,  4.,  0.,  2.,  3.],
       [ 3.,  3.,  4.,  4.,  8.,  5.,  6.,  4.,  3.,  3.,  9.,  5.,  3.,
         2.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  5.,  3.,  4.,  3.,  3.,  3.,
         7.,  5.,  4.,  5.,  8.,  3.,  7.,  4.,  3.,  4.,  6.,  4., 10.,
         4.,  5.,  1.,  3.,  6.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  0.,  0.,  6.,  5.,  3.,  1.,  5.,  5.,  3.,  5.,  3.,  3.,
         3.,  6.,  5.,  3.,  4.,  0.,  2.,  3.],
       [ 3.,  3.,  4.,  4.,  8.,  5., 12.,  4.,  3.,  3.,  9., 11.,  9.,
         8.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  9.,  9.,  8.,  7.,  7.,  7.,
         7.,  5.,  4.,  5.,  8.,  7.,  7.,  4.,  7.,  4., 10.,  4., 10.,
         4.,  5.,  5.,  7., 10.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  6.,  6.,  0.,  5.,  3.,  5.,  5.,  5.,  3.,  5.,  3.,  7.,
         3., 10.,  5.,  3.,  8.,  6.,  6.,  3.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  0.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 2.,  2.,  3.,  3.,  7.,  4.,  7.,  3.,  2.,  2.,  8.,  6.,  4.,
         3.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  4.,  4.,  3.,  2.,  2.,  2.,
         6.,  4.,  3.,  4.,  7.,  2.,  6.,  3.,  2.,  3.,  5.,  3.,  9.,
         3.,  4.,  0.,  2.,  5.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  1.,  1.,  5.,  4.,  2.,  0.,  4.,  4.,  2.,  4.,  2.,  2.,
         2.,  5.,  4.,  2.,  3.,  1.,  1.,  2.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  1.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  0.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  0.,  2.,  4.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  8., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         6.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  9.,
         3.,  4.,  4.,  6.,  9.,  2., 11.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  0.,  2.,  6.,
         2.,  9.,  4.,  2.,  7.,  5.,  5.,  2.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 4.,  4.,  5.,  5.,  9.,  6.,  9.,  3.,  4.,  4.,  8.,  8.,  6.,
         5.,  6.,  4.,  5.,  5.,  5.,  7.,  4.,  4.,  6.,  7.,  5.,  4.,
         4.,  7.,  6.,  6.,  4.,  5.,  7.,  6.,  6.,  5.,  4.,  4.,  4.,
         6.,  4.,  3.,  6.,  9.,  4.,  8.,  5.,  4.,  5.,  5.,  5., 11.,
         5.,  6.,  2.,  3.,  7.,  4., 13.,  6.,  7.,  7.,  5.,  5.,  4.,
         4.,  3.,  3.,  7.,  6.,  4.,  2.,  6.,  6.,  4.,  6.,  4.,  0.,
         4.,  7.,  6.,  4.,  3.,  3.,  1.,  4.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 7.,  7.,  8.,  8., 12.,  9., 12.,  8.,  7.,  7., 13., 11.,  9.,
         8.,  9.,  7.,  8.,  8.,  8., 10.,  7.,  7.,  9., 10.,  8.,  7.,
         7., 10.,  9.,  9.,  7.,  8., 10.,  9.,  9.,  8.,  7.,  7.,  7.,
        11.,  9.,  8.,  9., 12.,  7., 11.,  8.,  7.,  8., 10.,  8., 14.,
         6.,  9.,  5.,  7.,  4.,  7., 16.,  9., 10., 10.,  8.,  8.,  7.,
         7.,  6.,  6., 10.,  9.,  7.,  5.,  9.,  9.,  7.,  9.,  7.,  7.,
         7.,  0.,  9.,  7.,  8.,  6.,  6.,  7.],
       [ 2.,  2.,  3.,  3.,  7.,  4., 11.,  3.,  2.,  2.,  6., 10.,  8.,
         7.,  4.,  2.,  3.,  3.,  3.,  5.,  2.,  2.,  4.,  5.,  3.,  2.,
         2.,  5.,  4.,  4.,  2.,  3.,  5.,  8.,  8.,  7.,  6.,  6.,  6.,
         4.,  4.,  3.,  4.,  7.,  6.,  6.,  3.,  6.,  3.,  9.,  3.,  7.,
         3.,  4.,  4.,  6.,  9.,  2.,  9.,  4.,  5.,  5.,  3.,  3.,  2.,
         2.,  5.,  5.,  5.,  4.,  2.,  4.,  4.,  4.,  2.,  4.,  2.,  6.,
         2.,  9.,  0.,  2.,  7.,  5.,  5.,  2.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.],
       [ 5.,  5.,  6.,  6., 10.,  7., 10.,  6.,  5.,  5., 11.,  9.,  7.,
         6.,  7.,  5.,  6.,  6.,  6.,  8.,  5.,  5.,  7.,  8.,  6.,  5.,
         5.,  8.,  7.,  7.,  5.,  6.,  8.,  7.,  7.,  6.,  5.,  5.,  5.,
         9.,  7.,  6.,  7., 10.,  5.,  9.,  6.,  5.,  6.,  6.,  6., 12.,
         6.,  7.,  3.,  5.,  8.,  5., 14.,  7.,  8.,  8.,  6.,  6.,  5.,
         5.,  4.,  4.,  8.,  7.,  5.,  3.,  7.,  7.,  5.,  7.,  5.,  3.,
         5.,  8.,  7.,  5.,  0.,  4.,  2.,  5.],
       [ 3.,  3.,  4.,  4.,  8.,  5.,  6.,  4.,  3.,  3.,  9.,  5.,  3.,
         2.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  5.,  3.,  4.,  3.,  3.,  3.,
         7.,  5.,  4.,  5.,  8.,  3.,  7.,  4.,  3.,  4.,  6.,  4., 10.,
         4.,  5.,  1.,  3.,  6.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  0.,  0.,  6.,  5.,  3.,  1.,  5.,  5.,  3.,  5.,  3.,  3.,
         3.,  6.,  5.,  3.,  4.,  0.,  2.,  3.],
       [ 3.,  3.,  4.,  4.,  8.,  5.,  8.,  4.,  3.,  3.,  9.,  7.,  5.,
         4.,  5.,  3.,  4.,  4.,  4.,  6.,  3.,  3.,  5.,  6.,  4.,  3.,
         3.,  6.,  5.,  5.,  3.,  4.,  6.,  5.,  5.,  4.,  3.,  3.,  3.,
         7.,  5.,  4.,  5.,  8.,  3.,  7.,  4.,  3.,  4.,  4.,  4., 10.,
         4.,  5.,  1.,  3.,  6.,  3., 12.,  5.,  6.,  6.,  4.,  4.,  3.,
         3.,  2.,  2.,  6.,  5.,  3.,  1.,  5.,  5.,  3.,  5.,  3.,  1.,
         3.,  6.,  5.,  3.,  2.,  2.,  0.,  3.],
       [ 0.,  0.,  1.,  1.,  5.,  2.,  9.,  1.,  0.,  0.,  6.,  8.,  6.,
         5.,  2.,  0.,  1.,  1.,  1.,  3.,  0.,  0.,  2.,  3.,  1.,  0.,
         0.,  3.,  2.,  2.,  0.,  1.,  3.,  6.,  6.,  5.,  4.,  4.,  4.,
         4.,  2.,  1.,  2.,  5.,  4.,  4.,  1.,  4.,  1.,  7.,  1.,  7.,
         1.,  2.,  2.,  4.,  7.,  0.,  9.,  2.,  3.,  3.,  1.,  1.,  0.,
         0.,  3.,  3.,  3.,  2.,  0.,  2.,  2.,  2.,  0.,  2.,  0.,  4.,
         0.,  7.,  2.,  0.,  5.,  3.,  3.,  0.]])

